Activity Restriction by course enrollment

Availability conditions ::: availability_enrol
Maintained by Christian Glahn
A Moodle Availablity Condition Plugin to test for enrolled students.
Latest release:
131 sites
26 downloads
5 fans
Current versions available: 1

This availability plugin allows to add activity constraints based on the course enrollment of a visitor. After installing the plugin teachers can add activity conditions for verifying access from enrolled users, only.

This plugin works only for courses with guest access and allows implementing premium content for enrolled participants or to provide information that is only relevant to guests within the same course.


Screenshots

Screenshot #0
Screenshot #1
Screenshot #2

Contributors

Christian Glahn (Lead maintainer)
Please login to view contributors details and/or to contact them

Comments RSS

Show comments
  • Sat, Mar 10, 2018, 6:00 AM
    Approval issue created: CONTRIB-7211
  • Sat, Jun 30, 2018, 3:07 AM
    Hi, Christian

    Congratulations on the application.
    Any predictions for version 3.5?

    Thank you
  • Tue, Sep 18, 2018, 9:59 PM
    Hi, Christian

    You're plugin is really cool, I can have guest access to my course homepage and see all the topics' name. They can only access all the activities when the enrollment is done.

    An upgrade for version 3.5 will be really appreciated.

    Regards,
    Minh
  • Fri, Apr 19, 2019, 6:31 PM
    Hi,
    We have used restriction plugin and the plugin is working so good. The only issue we are is that, Restricted Option Description is not visible. The background is transparent should be opaque for readability.


  • Mon, Apr 29, 2019, 2:43 PM
    Hi,

    A nice plugin, but I am using Moodle 3.6.3, the plugin in does not show in the plugins list under settings and the enrollment button does not show under restriction. Is there any thoughts of updating the plugin to recent versions of Moodle?

    Thanks,
  • Thu, May 23, 2019, 1:25 AM
    Can confirm it doesnt show up the selection menu in Moodle 3.7 sad. I nearly spat my drink in excitement when I saw this plugin. Hope it update soon.
  • Tue, Mar 16, 2021, 9:36 PM
    As far as I can tell, the plugin works nicely with the current release 3.10.2 of moodle. One may have to download the plugin and install it manually ("Install plugin from ZIP file").
  • Mon, Apr 26, 2021, 9:38 AM
    I really need this plugin, hopefully, it will have an update to be available on Moodle 3.9 onwards. Thank you so much.
Please login to post comments